Bug 1284470 - atomic host with no parameters fails with traceback
atomic host with no parameters fails with traceback
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: atomic (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 07:23 EST by Jan Pazdziora
Modified: 2016-12-20 11:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:11:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-11-23 07:23:58 EST
Description of problem:

Running atomic host without parameter results in traceback.

Version-Release number of selected component (if applicable):

atomic-1.0-1.git52d695c.fc23.x86_64 from Fedora-Cloud-Atomic-23-20151030.x86_64.raw.xz but atomic-1.6-5.git09ac479.fc23.x86_64 from today's update as well.

How reproducible:

Deterministic.

Steps to Reproduce:
1. atomic host

Actual results:

Traceback (most recent call last):
  File "/usr/bin/atomic", line 240, in <module>
    sys.exit(args.func())
AttributeError: 'Namespace' object has no attribute 'func'

Expected results:

usage: atomic host [-h] {rollback,status,upgrade,rebase} ...

positional arguments:
  {rollback,status,upgrade,rebase}
                        host commands
    rollback            switch to alternate tree at boot
    status              list information about all deployments
    upgrade             upgrade to the latest Atomic tree if one is available
    rebase              Download and deploy a new origin refspec

optional arguments:
  -h, --help            show this help message and exit

or something else than traceback.

Additional info:
Comment 1 Daniel Walsh 2015-12-01 17:12:30 EST
We need to get an update to atomic-1.7

There is an issue on python3 that is causing this problem.
Comment 2 Colin Walters 2015-12-16 10:00:57 EST
https://github.com/projectatomic/atomic/issues/242
Comment 3 Daniel Walsh 2015-12-17 09:01:41 EST
Fixed in atomic-1.7.
Comment 4 Fedora Admin XMLRPC Client 2016-06-08 10:19:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 08:39:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 11:11:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.